JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
const androidApp = await box.app.get("com.android.settings"); // package name
await androidApp.close();
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Connect to Android app by package name
android_app = box.app.get("com.android.settings") # package name
# Close the app
android_app.close()
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/android/packages/{packageName}/close \
--header 'Authorization: Bearer <token>'Android
Close app
Forces the specified Android application to close inside the box
POST
/
boxes
/
{boxId}
/
android
/
packages
/
{packageName}
/
close
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "android" });
const androidApp = await box.app.get("com.android.settings"); // package name
await androidApp.close();
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Android box
box = gbox_sdk.create(type="android")
# Connect to Android app by package name
android_app = box.app.get("com.android.settings") # package name
# Close the app
android_app.close()
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/android/packages/{packageName}/close \
--header 'Authorization: Bearer <token>'Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Android app package name
Example:
"com.example.myapp"
Response
200 - undefined
Was this page helpful?